package fr.iutfbleau.projetAgile.Puissance4.Event;

/**
 * Evenement représentant un changement dans la grille
 */
public class GridEvent {
    private int column;
    private int row;
    private int player;

    /**
     * Crée un évènement
     * @param column la colonne modifié
     * @param row la ligne modifié
     * @param player le joueur qui a joué
     */
    public GridEvent(int column, int row, int player) {
        this.column = column;
        this.row = row;
        this.player = player;
    }

    /**
     * Retourne la colonne modifié
     * @return La colonne modifié
     */
    public int getColumn() {
        return this.column;
    }

    /**
     * Retourne la ligne modifié
     * @return la ligne modifié
     */
    public int getRow() {
        return this.row;
    }

    /**
     * Retourne le joueur qui a joué
     * @return Le joueur qui a joué
     */
    public int getPlayer() {
        return this.player;
    }
}
